<h2>Edit Employee</h2>
<form [formGroup]="editForm" (ngSubmit)="onSubmit()">
  <div>
    <label>Emp ID</label>
    <input type="text" formControlName="empId" readonly>
  </div>
  <div>
    <label>Name</label>
    <input type="text" formControlName="name">
  </div>
  <div>
    <label>Email</label>
    <input type="text" formControlName="email">
  </div>
  <div>
    <label>Date of Birth</label>
    <input type="date" formControlName="dob">
  </div>
  <div>
    <label>Mobile</label>
    <input type="text" formControlName="mobile">
  </div>
  <div class="buttons">
    <button type="submit">Update</button>
    <button type="button" (click)="dialogRef.close()">Cancel</button>
  </div>
</form>
